package com.iformall.enums;

/**
 * Created by Stormeye on 2018/08/09.
 */
public enum EnumMsgSendStatus {
    MSG_SENDING(2, "发送中"),
    MSG_SEND_SUCCESS(1,"发送成功"),
    MSG_SEND_FAIL(0,"发送失败")
    ;

    public static EnumMsgSendStatus getEnum(Integer code) {
        for (EnumMsgSendStatus value : values()) {
            if (value.getCode().equals(code)) {
                return value;
            }
        }
        return null;
    }

    private Integer code;
    private String message;

    EnumMsgSendStatus(Integer code, String message) {
        this.code = code;
        this.message = message;
    }

    public Integer getCode() {
        return code;
    }

    public String getMessage() {
        return message;
    }
}
